Subject: Re: bug#65188: 29.1; WEBP image not displayed

From: Corwin Brust <[email-masked]>
Date: Thu, 10 Aug 2023 02:24:38 -0500

On Thu, Aug 10, 2023 at 1:34 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: [email-masked]
> > Date: Thu, 10 Aug 2023 09:20:52 +0900
> >
> >
> > I installed emacs 29 from:
> >   https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_1-installer.exe
> > When find-file with WEBP images, they are not displayed visually,
> > and emacs reports:
> >   Cannot display image: (Invalid image specification)
> > There exists c:/Emacs/emacs-29.1/bin/libwebp-7.dll in the same directory
> >  of emacs.exe.
> >
> > image-types
> > => (bmp svg webp png gif tiff jpeg xpm xbm pbm)
> > (image-type-available-p 'webp)
> > => nil
>
> This might mean your libwebp-7.dll is incompatible with Emacs you have
> (e.g., it's a 32-bit DLL, not 64-bit DLL), or Emacs cannot load it for
> some other reason.
>
> Corwin, can you please verify that the binary on the GNU FTP site can
> display WebP images when a suitable libwebp DLL is available?  The
> Emacs 29.1 I built myself here is definitely capable of displaying
> WebP images.
>

Yes, AFAICT it is working as expected. I used ProcessExplorer
(filtering on Emacs then Search | DLL for the webp) to check Emacs
really used the DLL  from the full-zip.  I did this from
emacs-29.1_1.zip from GNU FTP (after first doing the same steps using
my local "cache" of the last release  build's PREFIX folder, keep
around for this sort of question).

Predictably:
(image-type-available 'webp) => t, over here